unit fahrzeuge1_u;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  Grids, StdCtrls;

type
  TFahrzeug = class(TObject)
  private
    gewicht : integer;
    ftyp : string;
  end;

  TFahrrad = class(TFahrzeug)
  private
     anzraeder,anzpersonen : integer;
    public
  constructor Create(ar,ap,g : integer; ft : string);
  procedure ShowData;
  end;

  TPKW = class(TFahrzeug)
  private
    anzraeder, anzpersonen, motorleistung : integer;
  public
    constructor Create(ar,ap,g,ml : integer; ft : string);
    procedure ShowData;
  end;

  TForm1 = class(TForm)
    StringGrid1: TStringGrid;
    Button1: TButton;
    procedure FormCreate(Sender: TObject);
    procedure Button1Click(Sender: TObject);
  private
    { Private-Deklarationen}
  public
    { Public-Deklarationen}
  end;


var
  Form1: TForm1;
  f1,f2 : TFahrrad;
  pkw1,pkw2 : TPkw;
  FahrzeugArray  : array[1..10] of TFAhrzeug;
  n : byte;

implementation
{$R *.DFM}


constructor TFahrrad.Create(ar,ap,g : integer; ft : string);
begin
anzpersonen := ap; anzraeder := ar;
gewicht := g; ftyp := ft;
end;

procedure TFahrrad.ShowData;
begin
with Form1.StringGrid1 do begin
  RowCount := 4; ColCount := 2;
  colwidths[0] :=130;  colwidths[1] :=100;
  cells[0,0] := 'Typ';cells[0,1] := 'Gewicht';
  cells[0,2] := 'Anzahl der Rder';
  cells[0,3] := 'Anzahl der Personen';
  cells[1,0] := ftyp ;cells[1,1] := IntToStr(gewicht);
  cells[1,2] := IntToStr(anzraeder); cells[1,3] := IntToStr(anzpersonen);
end;
end;

constructor TPkw.Create(ar,ap,g,ml : integer; ft : string);
begin
anzpersonen := ap; anzraeder := ar;
gewicht := g; ftyp := ft; motorleistung := ml;
end;

procedure TPkw.ShowData;
begin
with Form1.StringGrid1 do begin
  RowCount := 5; ColCount := 2;
  colwidths[0] :=130;  colwidths[1] :=100;
  cells[0,0] := 'Typ';cells[0,1] := 'Gewicht';
  cells[0,4] := 'Motorleistung'; cells[0,2] := 'Anzahl der Rder';
  cells[0,3] := 'Anzahl der Personen'; cells[1,0] := ftyp;
  cells[1,1] := IntToStr(gewicht); cells[1,2] := IntToStr(anzraeder);
  cells[1,3] := IntToStr(anzpersonen); cells[1,4] :=  IntToStr(motorleistung);
end;

end;

procedure TForm1.FormCreate(Sender: TObject);
var k : byte;
begin
  f1 := TFahrrad.Create(2,1,30,'Trekking');
  f2 := TFahrrad.Create(2,2,80,'Tandem');
  pkw1 := TPkw.Create(4,5,800,95,'Limousine');
  pkw2 := TPkw.Create(4,2,500,120,'Cabrio');
  n := 1;
  for k := 1 to 10 do FahrzeugArray[k] := nil;
end;


procedure TForm1.Button1Click(Sender: TObject);
begin
case n of
  1 :  f1.ShowData;
  2 :  f2.ShowData;
  3 :  pkw1.ShowData;
  4 :  pkw2.ShowData;
  5 :  n := 1;
end;
inc(n);
end;

end.
